Package lxml :: Package tests :: Module test_xmlschema :: Class ETreeXMLSchemaTestCase |
[frames] | no frames]

# Class ETreeXMLSchemaTestCase

source code

                   object --+
                            |
            unittest.TestCase --+
                                |
    common_imports.HelperTestCase --+
                                    |
                                   ETreeXMLSchemaTestCase

Nested Classes
Inherited from `unittest.TestCase`: `failureException`

Instance Methods
test_xmlschema(self) | source code
test_xmlschema_parse(self) | source code
test_xmlschema_stringio(self) | source code
test_xmlschema_iterparse(self) | source code
test_xmlschema_iterparse_fail(self) | source code
test_xmlschema_elementtree_error(self) | source code
test_xmlschema_invalid_schema1(self) | source code
test_xmlschema_invalid_schema2(self) | source code
test_xmlschema_file(self) | source code
test_xmlschema_shortcut(self) | source code
Inherited from `common_imports.HelperTestCase`: `parse`, `tearDown` Inherited from `unittest.TestCase`: `__call__`, `__init__`, `__repr__`, `__str__`, `assertAlmostEqual`, `assertAlmostEquals`, `assertEqual`, `assertEquals`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertRaises`, `assertTrue`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `setUp`, `shortDescription` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `common_imports.HelperTestCase`: `assertFalse`

Properties
Inherited from `object`: `__class__`